cURL
curl --request GET \ --url https://api.roastify.app/v1/orders/{orderId}/events \ --header 'x-api-key: <api-key>'
{ "status": "Created", "events": [ { "time": "2020-01-01T00:00:00Z", "action": "Created", "affected_items": [ "65cdd8c2a037fhna9c08471f", "62cdd3c6a037fhna9c084fnf" ] } ] }
Get all order events by orderId
The API key to authenticate requests provided by Roastify. A Base or Pro plan is required to use the API.
The Id of the order
1
"1ef87e47-266e-466f-ab06-a64994aefbb0"
Get all fulfillment order events by order Id
Order events
Current order status
Created
Picked
Printed
Packaged
Shipped
Canceled
CancelationRequested
Declined
"Created"
Show child attributes
Time that the event occurred
"2020-01-01T00:00:00Z"
Action associated with the event
List of affected items
[ "65cdd8c2a037fhna9c08471f", "62cdd3c6a037fhna9c084fnf"]